<template>
  <div :id="settings.id || null" :class="settings.class" :style="settings.style" :data-component="layout.component">
    <v-card v-if="page" flat>
      <template v-if="titleVisibility">
        <template v-if="headerImageSrc">
          <v-parallax height="300" :src="headerImageSrc" class="pt-10">
            <v-card-title
              primary-title
              class="mt-10 display-2 font-weight-thin white--text"
              v-text="title"
            ></v-card-title>
          </v-parallax>
        </template>
        <template v-else>
          <v-card-title
            primary-title
            class="display-2 font-weight-thin grey--text text--darken-1"
            v-text="title"
          ></v-card-title>
        </template>
      </template>

      <page-content :layout="page.layout" :content="page.content || ''"></page-content>
    </v-card>
  </div>
</template>

<script>
export default {
  props: {
    layout: {
      type: Object,
      required: true,
    },
  },

  computed: {
    settings() {
      return this.layout.settings
    },

    page() {
      return this.$store.state.pages.find(page => page._id === this.settings.page._id)
    },

    title() {
      return Object.keys(this.page).length ? this.page.title : ''
    },

    titleVisibility() {
      return Object.keys(this.page).length ? this.page.title_visibility : false
    },
  },
}
</script>
